---
title: ngd-redemption
description: 
published: true
date: 2025-01-28T05:02:41.893Z
tags: 
editor: markdown
dateCreated: 2025-01-28T00:30:34.910Z
---

<div align="center">
  <img src="/11f39c35-0150-4b61-b168-a61c673b9cce.png" alt="NGD Logo">
  
  <h1><a href="#" target="_blank">NGD-REDEMPTION</a></h1>
</div>
<div align="center">

## This guide assumes you already have a Tebex store integrated with FiveM.  If you do not, please refer to their documentation.
  
  </div>
  <br>

## Installation Steps

1. **Install ngd-Bridge**  
   Follow the guide to install ngd-Bridge [HERE](https://nemesisdocs.com/en/gettingstarted).

2. **Install ngd-redemption**  
   Place `ngd-redemption` into your **[ngd]** folder. This script must be started **after** `ngd-Bridge`.

3. **Modify Tebex Listings**  
<details>
<summary><strong>Add Commands</strong> (Click to Expand)</summary>
  
- **Select Tebex listing you wish to add.**
<br>
- **At the bottom of the screen, click on `Game Server Commands`**
<img src="/gameservercommand.png">
<br>
- **Once that opens, click on the gear to expand more options.**
-- **Make sure the package delivery option is set to deliver even if the player is offline**
-- **Inside of the `when package is purchased` field, put the following:**
```
NGDRedemption {packageId} {transaction}
```
## See Example:
<img src="/addcommand.png">
  
</details>

4. **Configure Packages In Script**  
<details>
<summary><strong>Script Configuration</strong> (Click to Expand)</summary>
  
- **In a web browser, navigate to your Tebex package.**
-- The #s seen at the end of the link are the `Package ID`, and will be used to configure the items in the script.
<img src="/packageid.png">
<br>
- **Inside of the config.lua, you will see Config.Packages = {**
-- **You will need to add the `Package ID` from the step above, into the [] and configure each package**
  
---
  
- **There are several variables to the packages you can choose from:**
  
-- `Type =` (You can use 'item', 'vehicle' or 'other')
-- `Label =` (This is what is show in-game)
-- `Item =` (This is the item given to players if the Type = 'item')
-- `Qty =` (This is the amount of the item given above)
-- `Model =` (This is the vehicle spawn code if Type = 'vehicle')

---
  
- **See example from the config below:**
  -- Package `6650632` is an item that is given to players, the menu will show it as a 'A Pack of Lockpicks', and the player will be given 5 of them.
  -- Package `6650679` is a vehicle, the menu will show it as 'Pagassi - Zentorno' and the spawn code is a 'zentorno'
  -- The packages are defined in the config, you should make sure the package from Tebex matches.
```
Config.Packages = {
    [6650632] = {
        Type = 'item',
        Label = 'A Pack Of Lockpicks',
        Item = 'lockpick',
        Qty = 5
    },
    [6650679] = {
        Type = 'vehicle',
        Label = 'Pagassi - Zentorno',
        Model = 'zentorno'
    }
}
```


  
</details>



5. Add the jobs into your framework.
<details>
<summary><strong>Job Configuration (QB/QBX)</strong> (Click to Expand)</summary>
  
## QB (old jobs.lua)

```lua

```
  
## QB (new jobs.lua)

  
```lua

```
## QBX

```lua

```
  
</details>

<details>
<summary><strong>Job Configuration (ESX)</strong> (Click to Expand)</summary>
  
## (If this doesn't work for you, you will need to build them manually into your modified database)

```sql

```  
</details>

6. Add the items into your framework/inventory.
<details>
<summary><strong>Items List (OX)</strong> (Click to Expand)</summary>

```lua

```

</details>
<details>
<summary><strong>Items List (QB-NEW)</strong> (Click to Expand)</summary>

```lua


    
```

</details>
<details>
<summary><strong>Items List (QB-OLD)</strong> (Click to Expand)</summary>

```lua


```
</details>

---

# Configuration Notes

- **Extensive Configuration Options**  
  Open and configure all the `Config` files to match your server's settings.

- **Customizable Menu Images**  
  The images used in the menus can be replaced. They are located in the `web/menuimages` folder.

> Do you still need help?  Open a ticket in our [Discord](https://discord.gg/AnXx2GVGcM)
{.is-warning}


